%define svnrev 1218

Name: fontmatrix
Summary: A fonts manager
Version: 0.9.99
Release: 9.r%{svnrev}%{?dist}
License: GPLv2+

##### svn checkout HOWTO #####
#####  $ svn export -r %{svnrev} http://svn.gna.org/svn/undertype/trunk/tools/typotek fontmatrix #####
#####  $ mkdir ../fontmatrix-build                                              #####  
#####  $ cd ../fontmatrix-build                                                 ##### 
#####  $ cmake ../fontmatrix                                                    #####  
#####  $ make package_source                                                    ##### 

## Upstream URL is dead now. Better remove it
#URL: http://www.fontmatrix.net/

## Official stable releases can be downloaded from http://www.fontmatrix.net/archives/
Source0: %{name}-%{version}-Source.tar.gz
Patch0: bug_564904_fix-missing-DSO-icuuc.patch 
Patch1: fontmatrix-0.9.99-arm.patch
Patch2: fontmatrix-0.9.99-rh893080-move-fonts-config-file.patch

BuildRequires: qt-devel freetype-devel qt-webkit-devel
BuildRequires: desktop-file-utils cmake python2-devel
BuildRequires: openssl-devel podofo-devel libicu-devel

##Following is needed to ensure that enduser can edit font with fontforge application
Requires:      fontforge

%description
A powerful and well designed fonts manager

%prep
%setup -q -n  %{name}-%{version}-Source
%patch0 -p0
%patch1 -p0
%patch2 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%cmake . -DWANT_HARFBUZZ:bool=true -DWANT_ICU:bool=true \
         -DWANT_PYTHONQT:bool=true -DWANT_PODOFO:bool=true 

make VERBOSE=1 %{?_smp_mflags}

%check
ctest

%install
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="install -p"

#rpmlint complains Zero-length file
rm -f $RPM_BUILD_ROOT%{_datadir}/fontmatrix/help/en/what_fonts_are.html

desktop-file-install --vendor="fedora" --delete-original  \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc COPYING TODO INSTALL
%{_bindir}/fontmatrix
%{_datadir}/fontmatrix
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/fontmatrix.png


%changelog
* Mon Jul 22 2013 David Tardon <dtardon@redhat.com> - 0.9.99-9.r1218
- rebuild for ICU ABI break

* Sun Jan 20 2013 Parag Nemade <pnemade AT redhat DOT com> - 0.9.99-8.r1218
- Resolves:rh#893080-Fontmatrix creates a deprecated $HOME/.fonts.conf file

* Wed Sep 19 2012 Jon Ciesla <limburgher@gmail.com> - 0.9.99-7.r1218
- Fix FTBFS on ARM.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.99-6.r1218
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 10 2012 Parag Nemade <pnemade AT redhat DOT com> - 0.9.99-5.r1218
- Commented dead upstream URL.

* Mon Apr 23 2012 Parag Nemade <pnemade AT redhat DOT com> - 0.9.99-4.r1218
- rebuild for icu 49

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.99-3.r1218
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.99-2.r1218
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 03 2011 Parag Nemade <pnemade AT redhat DOT com> - 0.9.99-1.r1218
- update to latest upstream commit 1218

* Sun Sep 11 2011 Parag Nemade <pnemade AT redhat DOT com> - 0.6.99-16.r1073
- Rebuild against icu 4.8

* Wed May 04 2011 Dan Horák <dan@danny.cz> - 0.6.99-15.r1073
- rebuilt against podofo 0.9.1

* Thu Apr 14 2011 Dan Horák <dan@danny.cz> - 0.6.99-14.r1073
- rebuilt against podofo 0.9.0

* Mon Mar 07 2011 Caolán McNamara <caolanm@redhat.com> - 0.6.99-13.r1073
- rebuild for icu 4.6

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.99-12.r1073
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 02 2010 Dan Horák <dan@danny.cz> - 0.6.99-11.r1073
- rebuilt against podofo 0.8.4

* Fri Oct 22 2010 Dan Horák <dan@danny.cz> - 0.6.99-10.r1073
- rebuilt against podofo 0.8.3

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.99-9.r1073
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun 08 2010 Dan Horák <dan@danny.cz> - 0.6.99-8.r1073
- rebuilt with podofo 0.8.1

* Tue Jun 01 2010 Parag Nemade <pnemade AT redhat.com> - 0.6.99-7.r1073
- qt-devel no longer provides qt-webkit-devel; so add it as BR

* Mon May 03 2010 Parag Nemade <pnemade AT redhat.com> - 0.6.99-6.r1073
- rebuild for podofo-0.8.0-1.fc14

* Fri Apr 02 2010 Caolán McNamara <caolanm@redhat.com> - 0.6.99-5.r1073
- rebuild for icu 4.4

* Tue Feb 16 2010 Parag <pnemade AT redhat.com> - 0.6.99-4.r1073
- Resolves: rh#561044,rh#532882:- Remove broken fontmatrix shaper
- Resolves: rh#564904:-ImplicitDSOLinking 

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.6.99-3.r1073
- rebuilt with new openssl

* Tue Aug 11 2009 Parag <pnemade@redhat.com> - 0.6.99-2.r1073
- update to svn revision 1073
- Fix Source Audit 2009-08-10

* Tue Aug 04 2009 Parag <pnemade@redhat.com> - 0.6.99-1.r1072
- update to svn revision 1072

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3.r1063
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 Parag <pnemade@redhat.com> - 0.6.0-2.r1063
- Add missing BRs:python-devel podofo-devel libicu-devel

* Mon Jul 13 2009 Parag <pnemade@redhat.com> - 0.6.0-1.r1063
- update to svn revision 1063

* Fri Apr 24 2009 Parag <pnemade@redhat.com> - 0.5.0-2.r931
- update to svn revision 931

* Fri Mar 20 2009 Parag <pnemade@redhat.com> - 0.5.0-1.r900
- update to svn revision 900

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - 0.4.2-3
- rebuild with new openssl

* Tue Jun 10 2008 Parag <pnemade@redhat.com> - 0.4.2-2
- Resolves: rh#449406:FTBFS fontmatrix-0.4.2-1.fc9

* Tue Apr 08 2008 Parag <pnemade@redhat.com> - 0.4.2-1.fc9
- Update to 0.4.2

* Mon Apr 07 2008 Parag <pnemade@redhat.com> - 0.4.0-2.fc9
- Add support for Shaper functionality.

* Fri Apr 04 2008 Parag <pnemade@redhat.com> - 0.4.0-1.fc9
- Update to 0.4.0

* Mon Feb 11 2008 Parag <pnemade@redhat.com> - 0.3.1-2
- Rebuild for gcc 4.3

* Wed Jan 23 2008 Parag <pnemade@redhat.com> - 0.3.1-1
- Update to 0.3.1

* Mon Jan 14 2008 Parag <pnemade@redhat.com> - 0.3.0-4.r289
- update to svn revision 289(Stable release of 0.3.0 version)

* Thu Dec 27 2007 Parag <pnemade@redhat.com> - 0.3.0-3.r270
- update to svn revision 270
- Added Requires:fontforge

* Thu Dec 27 2007 Parag <pnemade@redhat.com> - 0.3.0-3.r270
- update to svn revision 270

* Fri Dec 21 2007 Parag <pnemade@redhat.com> - 0.3.0-3.r263
- Fixed license tag
- update to new svn checkout
- drop unnecessary BR: qt4-x11

* Tue Dec 18 2007 Parag <pnemade@redhat.com> - 0.3.0-2.r253
- Added BR:cmake

* Mon Dec 17 2007 Parag <pnemade@redhat.com> - 0.3.0-1.r253
- New upstream svn checkout

* Fri Dec 14 2007 Parag <pnemade@redhat.com> - 0.2-14.3.fc8
- Some spec cleanup

* Fri Dec 14 2007 Parag <pnemade@redhat.com> - 0.2-14.2.fc8
- Initial spec for Fedora.

* Mon Nov 26 2007 <mrdocs@scribus.info> - 0.2-14.1
- Initial upstream spec.

